import 'package:args/args.dart';
import 'package:comet_cli/flutter_build.dart';
import 'package:comet_cli/gh_pages.dart';
import 'package:comet_cli/run_deploy_help.dart';

Future<void> cmdDeploy(
  ArgParser parser,
  List<String> arguments,
) async {
  final deployArgsMap = parser.parse(arguments);
  final showHelp = deployArgsMap['help'] as bool;
  if (showHelp) {
    runDeployHelp();
    return;
  }

  // Flutter ビルド
  await flutterBuild();

  // gh-pages ブランチにコミット
  final ghPages = GHPages();
  await ghPages.updateBranch();

  // gh-pages ブランチをプッシュ
  await ghPages.publish();
}
